<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class InstallRequestAction extends Model
{
    protected $fillable = [
        'request_id',
        'user_id',
        'action',
        'comment',
        'note',
        'installation_price',
    ];

    public function request(): BelongsTo
    {
        return $this->belongsTo(InstallRequest::class, 'request_id');
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}
